com.io7m.jstructural.annotated

## Class SASectionWithParagraphs

- java.lang.Object
- - com.io7m.jstructural.annotated.SASection
  - - com.io7m.jstructural.annotated.SASectionWithParagraphs

- All Implemented Interfaces:
    SAIDTargetContent

      @Immutable
      public final class SASectionWithParagraphs
      extends SASection

  The type of sections containing paragraphs.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SASectionWithParagraphs(SASectionNumber in_number, com.io7m.jaux.functional.Option<String> in_type, com.io7m.jaux.functional.Option<SAID> in_id, SASectionTitle in_title, com.io7m.jaux.functional.Option<SSectionContents> in_contents, SNonEmptyList<SASubsectionContent> in_subsections, List<SAFootnote> in_footnotes)` Construct a new section with top-level subsection content.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `SNonEmptyList<SASubsectionContent>` | `getSectionContent()`
    `int` | `hashCode()`
    `<A> A` | `sectionAccept(SASectionVisitor<A> v)` Accept a section visitor.
    `<T> T` | `targetContentAccept(SAIDTargetContentVisitor<T> v)` Accept an ID target content visitor.

    - ### Methods inherited from class com.io7m.jstructural.annotated.SASection

      `getContents, getFootnotes, getID, getNumber, getTitle, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SASectionWithParagraphs

          public SASectionWithParagraphs(@Nonnull
                                 SASectionNumber in_number,
                                 @Nonnull
                                 com.io7m.jaux.functional.Option<String> in_type,
                                 @Nonnull
                                 com.io7m.jaux.functional.Option<SAID> in_id,
                                 @Nonnull
                                 SASectionTitle in_title,
                                 @Nonnull
                                 com.io7m.jaux.functional.Option<SSectionContents> in_contents,
                                 @Nonnull
                                 SNonEmptyList<SASubsectionContent> in_subsections,
                                 @Nonnull
                                 List<SAFootnote> in_footnotes)
                                  throws com.io7m.jaux.Constraints.ConstraintError

      Construct a new section with top-level subsection content.
      Parameters:
        `in_number` - The section number
        `in_type` - The type attribute
        `in_id` - The ID
        `in_title` - The section title
        `in_contents` - The section table of contents
        `in_subsections` - The subsection content
        `in_footnotes` - The footnotes
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If any parameter is `null`

  - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `SASection`

    - #### getSectionContent

          @Nonnull
          public SNonEmptyList<SASubsectionContent> getSectionContent()

      Returns:
        The section content

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `SASection`

    - #### sectionAccept

          public <A> A sectionAccept(@Nonnull
                            SASectionVisitor<A> v)
                          throws com.io7m.jaux.Constraints.ConstraintError,
                                 Exception

      Description copied from class: `SASection`
      Accept a section visitor.
      Specified by:
        `sectionAccept` in class `SASection`
      Type Parameters:
        `A` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If the visitor raises `Constraints.ConstraintError`
        `Exception` - If the visitor raises an `Exception`

    - #### targetContentAccept

          public <T> T targetContentAccept(@Nonnull
                                  SAIDTargetContentVisitor<T> v)
                                throws com.io7m.jaux.Constraints.ConstraintError,
                                       Exception

      Description copied from interface: `SAIDTargetContent`
      Accept an ID target content visitor.
      Type Parameters:
        `T` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor.
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If the visitor raises a `Constraints.ConstraintError`
        `Exception` - If the visitor raises and `Exception`

Copyright © 2014. All rights reserved.